function q = Q(sum, photon, last)
% Function to aid the construction of the partition matrix
% Creator: Andy Worsley
% Last Modified: 11/02/2008

% Takes: 1) the sum of the previous columns in the row, 2) the incident photon number
% and 3) the last column in the row. Computes the maximum number that may go in
% this column, given that it must be less than or equal to the last column.
c = 0;

if sum == photon
    c = 0;
end

if (photon-sum)<=last
    c = photon - sum;
else
    c = last;
end

q = c;
